VoIP
56 operations. Call any of them with omada_call_operation (or, in full tool mode, as a tool named by its operationId).
| Operation | Method | Summary |
|---|---|---|
| getCallBlockingProfiles_1 | GET | Get call blocking profile list |
| createCallBlockingProfile_1 | POST | Create new call blocking profile |
| modifyCallBlockingProfile_1 | PATCH | Modify a call blocking profile |
| deleteCallBlockingProfile | POST | Delete call blocking profile |
| deleteCallForwardingRule_1 | DELETE | Delete call forwarding rules |
| modifyCallForwardingRule_1 | PATCH | Modify call forwarding rules |
| addCallForwardingRule_1 | POST | Add call forwarding rules |
| getCallForwardingRulesGrid | GET | Get call forwarding rules |
| getDigitMapProfiles | GET | Get digit map profile list |
| createDigitMapProfile | POST | Create new digit map profile |
| modifyDigitMapProfile | PATCH | Modify a digit map profile |
| deleteDigitMapProfile | POST | Delete digit map profile |
| getDndSettings_1 | GET | Get DND settings |
| modifyDndSettings_1 | PATCH | Modify DND settings |
| getGridProviderProfileList_1 | GET | Get the grid of provider profile list |
| createProviderProfile_1 | POST | Create new provider profile |
| modifyProviderProfile_1 | PATCH | Modify a provider profile |
| deleteProviderProfiles | POST | Delete provider profile(s) |
| downloadVoiceMail | GET | Get voice mail |
| deleteTelephoneNumber_1 | DELETE | Delete all voice mail |
| deleteVoipMail | DELETE | Batch delete voice mail |
| getVoipMailGrid | GET | Get voice mail list |
| getVoipMailSettings | GET | Get voice mail settings |
| setVoipMailSettings | PATCH | Edit voice mail settings |
| getUsbInfo | GET | Get USB info |
| getVoipDeviceList | GET | Get Voip Device List |
| modifyVoipDeviceSetting | PATCH | Modify Voip Device AP Setting |
| bindTelephoneNumber | POST | Bind Telephone Number |
| getTelephoneNumberRegistrationResults | GET | Get Telephone Number Registration Results |
| deleteTelephoneNumber | POST | Delete Telephone Number |
| batchModifyVoipDeviceSetting | PATCH | Batch Modify Voip Device Setting |
| getAllCallBlockingProfiles | GET | Get All Call Blocking Profiles |
| getAllDigitMapProfiles | GET | Get All Digit Map Profiles |
| getGridTelephoneNumberRegistrationResults | GET | Get Grid of Telephone Number Registration Results |
| modifyVoipDeviceOsgSetting | PATCH | Modify Voip Device OSG Setting |
| getGridSimplifiedVoipDevices | GET | Get Grid of Simplified VoIP Devices |
| getTelephoneNumberBatchConfigList | GET | Get Telephone Number Config List |
| updateTelephoneNumberList | PATCH | Update Telephone Number List |
| exportTelephoneNumberListToFile | GET | Export telephone number list to file |
| importTelephoneNumberListFromFile | POST | Import telephone number list from file |
| downloadTelephoneNumberImportResult | GET | Download telephone number list import result |
| getVoipCallLog | GET | Get Voip CallLog Data List |
| getVoipCallLogEnable_1 | GET | Get Voip CallLog Setting |
| modifyVoipCallLogEnable_1 | POST | Modify Voip CallLog Setting |
| clearVoipCallLog | DELETE | Delete Voip CallLog Data List |
| getVoipEmergency_1 | GET | Get Voip Emergency Number Info |
| modifyVoipEmergency_1 | PATCH | Modify Voip Emergency Number Setting |
| getVoipTelephoneBook | GET | Get Voip TelephoneBook List |
| createVoipTelephoneBook | POST | Create New Contact Person |
| deleteVoipTelephoneBook | DELETE | Delete Contact Person |
| modifyVoipTelephoneBook | PATCH | Modify Contact Person |
| batchDeleteVoipTelephoneBook | POST | Batch Delete Contact Person |
| getDigitMapProfilesTemplate | GET | Get digit map profile list template |
| createDigitMapProfileTemplate | POST | Create new digit map profile template |
| modifyDigitMapProfileTemplate | PATCH | Modify a digit map profile template |
| deleteDigitMapProfileTemplate | POST | Delete digit map profile template |
getCallBlockingProfiles_1
GET /openapi/v1/{omadacId}/sites/{siteId}/setting/voip/call-blocking
Get call blocking profile list
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
// omada_call_operation
{
"operationId": "getCallBlockingProfiles_1",
"params": {
"siteId": "<siteId>"
}
}Details, permissions and error codes
Get call blocking profile list.
The interface requires one of the permissions:
Site Settings Manager View Only
Device Config Page View Only
createCallBlockingProfile_1
POST /openapi/v1/{omadacId}/sites/{siteId}/setting/voip/call-blocking
Create new call blocking profile
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
Request body — application/json (required) — schema CreateCallBlockingProfileEntity
| Field | Type | Required | Description |
|---|---|---|---|
profileName | string | yes | Call blocking profile name |
incomingCallsBlockingEnable | boolean | no | Enable incoming calls blocking or not. The default value is false. |
incomingCallsBlocking | IncomingCallsBlockingVO | no | (IncomingCallsBlockingVO not expanded; call omada_get_schema "IncomingCallsBlockingVO") |
outgoingCallsBlockingEnable | boolean | no | Enable outgoing calls blocking or not. The default value is false. |
outgoingCallsBlocking | OutgoingCallsBlockingVO | no | (OutgoingCallsBlockingVO not expanded; call omada_get_schema "OutgoingCallsBlockingVO") |
// omada_call_operation
{
"operationId": "createCallBlockingProfile_1",
"params": {
"siteId": "<siteId>"
},
"body": "{...}"
}Details, permissions and error codes
Create new call blocking profile.
The interface requires one of the permissions:
Site Settings Manager Modify
Device Config Page Modify
modifyCallBlockingProfile_1
PATCH /openapi/v1/{omadacId}/sites/{siteId}/setting/voip/call-blocking/{profileId}
Modify a call blocking profile
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
profileId | path | string | yes | Profile ID |
Request body — application/json (required) — schema ModifyCallBlockingProfileEntity
| Field | Type | Required | Description |
|---|---|---|---|
profileName | string | no | Call blocking profile name |
incomingCallsBlockingEnable | boolean | no | Enable incoming calls blocking or not. The default value is false. |
incomingCallsBlocking | IncomingCallsBlockingVO | no | (IncomingCallsBlockingVO not expanded; call omada_get_schema "IncomingCallsBlockingVO") |
outgoingCallsBlockingEnable | boolean | no | Enable outgoing calls blocking or not. The default value is false. |
outgoingCallsBlocking | OutgoingCallsBlockingVO | no | (OutgoingCallsBlockingVO not expanded; call omada_get_schema "OutgoingCallsBlockingVO") |
// omada_call_operation
{
"operationId": "modifyCallBlockingProfile_1",
"params": {
"siteId": "<siteId>",
"profileId": "<profileId>"
},
"body": "{...}"
}Details, permissions and error codes
Modify a call blocking profile.
The interface requires one of the permissions:
Site Settings Manager Modify
Device Config Page Modify
deleteCallBlockingProfile
POST /openapi/v1/{omadacId}/sites/{siteId}/setting/voip/call-blocking/delete
Delete call blocking profile
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
Request body — application/json (required) — schema DeleteCallBlockingProfileEntity
| Field | Type | Required | Description |
|---|---|---|---|
profileId | string | yes | Profile ID |
skipConfirm | boolean | yes | skipConfirm indicates whether to skip the query of the devices bound to call blocking profile. false: Not to skip the query. true: Skip the query and delete the call blocking profile corresponding to the profileId. |
// omada_call_operation
{
"operationId": "deleteCallBlockingProfile",
"params": {
"siteId": "<siteId>"
},
"body": "{...}"
}Details, permissions and error codes
Delete call blocking profile.
The interface requires one of the permissions:
Site Settings Manager Modify
Device Config Page Modify
deleteCallForwardingRule_1
DELETE /openapi/v1/{omadacId}/sites/{siteId}/setting/voip/call-forwarding
Delete call forwarding rules
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
Request body — application/json (required) — schema DeleteCallForwardingRules
| Field | Type | Required | Description |
|---|---|---|---|
ruleIds | array<string> | no | Ids of call forwarding rules to be deleted. |
// omada_call_operation
{
"operationId": "deleteCallForwardingRule_1",
"params": {
"siteId": "<siteId>"
},
"body": "{...}"
}Details, permissions and error codes
Delete call forwarding rules
The interface requires one of the permissions:
Site Settings Manager Modify
Device Config Page Modify
modifyCallForwardingRule_1
PATCH /openapi/v1/{omadacId}/sites/{siteId}/setting/voip/call-forwarding
Modify call forwarding rules
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
Request body — application/json (required) — schema CallForwardingRule
| Field | Type | Required | Description |
|---|---|---|---|
omadacId | string | no | Omadac ID |
siteId | string | no | Site ID |
ruleId | string | no | Call forwarding rule id |
enable | boolean | yes | Enable this rule or not |
condition | integer | yes | Forwarding condition. 0- no answer, 1- unconditional |
type | integer | yes | The call type to be forwarded. 0: All Incoming Calls - If this option is selected, all incoming calls will be forwarded. 1: Calls to the Telephone Number - If this option is selected, select a telephone number from the list. Any incoming calls to this number will be forwarded. 2: Calls to the Phone - If this option is selected, select a telephony device from the list. Any incoming calls to this device will be forwarded. 3: Calls from a Person in the Telephone Book - If this option is selected, select a contact from the list. Any incoming calls from this contact will be forwarded. 4: Calls from the Telephone Number - If this option is selected, enter a specific telephone number. Any incoming calls from this number will be forwarded. |
toNumbers | array<string> | no | Any incoming calls to these numbers will be forwarded. |
toDevices | array<integer> | no | Any incoming calls to these devices will be forwarded. |
fromPersons | array<string> | no | Any incoming calls from these contacts will be forwarded. |
fromNumbers | array<string> | no | Any incoming calls from these numbers will be forwarded. |
forwardVia | string | no | "Auto" by default. |
destNumber | string | yes | The Destination Telephone Number that incoming calls will be redirected to. |
// omada_call_operation
{
"operationId": "modifyCallForwardingRule_1",
"params": {
"siteId": "<siteId>"
},
"body": "{...}"
}Details, permissions and error codes
Modify call forwarding rules
The interface requires one of the permissions:
Site Settings Manager Modify
Device Config Page Modify
addCallForwardingRule_1
POST /openapi/v1/{omadacId}/sites/{siteId}/setting/voip/call-forwarding
Add call forwarding rules
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
Request body — application/json (required) — schema CallForwardingRule
| Field | Type | Required | Description |
|---|---|---|---|
omadacId | string | no | Omadac ID |
siteId | string | no | Site ID |
ruleId | string | no | Call forwarding rule id |
enable | boolean | yes | Enable this rule or not |
condition | integer | yes | Forwarding condition. 0- no answer, 1- unconditional |
type | integer | yes | The call type to be forwarded. 0: All Incoming Calls - If this option is selected, all incoming calls will be forwarded. 1: Calls to the Telephone Number - If this option is selected, select a telephone number from the list. Any incoming calls to this number will be forwarded. 2: Calls to the Phone - If this option is selected, select a telephony device from the list. Any incoming calls to this device will be forwarded. 3: Calls from a Person in the Telephone Book - If this option is selected, select a contact from the list. Any incoming calls from this contact will be forwarded. 4: Calls from the Telephone Number - If this option is selected, enter a specific telephone number. Any incoming calls from this number will be forwarded. |
toNumbers | array<string> | no | Any incoming calls to these numbers will be forwarded. |
toDevices | array<integer> | no | Any incoming calls to these devices will be forwarded. |
fromPersons | array<string> | no | Any incoming calls from these contacts will be forwarded. |
fromNumbers | array<string> | no | Any incoming calls from these numbers will be forwarded. |
forwardVia | string | no | "Auto" by default. |
destNumber | string | yes | The Destination Telephone Number that incoming calls will be redirected to. |
// omada_call_operation
{
"operationId": "addCallForwardingRule_1",
"params": {
"siteId": "<siteId>"
},
"body": "{...}"
}Details, permissions and error codes
Add call forwarding rules
The interface requires one of the permissions:
Site Settings Manager Modify
Device Config Page Modify
getCallForwardingRulesGrid
GET /openapi/v1/{omadacId}/sites/{siteId}/setting/voip/call-forwarding/grid
Get call forwarding rules
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
page | query | integer | no | Start page number. Start from 1. (default 1) |
pageSize | query | integer | no | Number of entries per page. It should be within the range of 1–1000. (default 100) |
// omada_call_operation
{
"operationId": "getCallForwardingRulesGrid",
"params": {
"siteId": "<siteId>"
}
}Details, permissions and error codes
Get call forwarding rules
The interface requires one of the permissions:
Site Settings Manager View Only
Device Config Page View Only
getDigitMapProfiles
GET /openapi/v1/{omadacId}/sites/{siteId}/setting/voip/digit-map
Get digit map profile list
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
// omada_call_operation
{
"operationId": "getDigitMapProfiles",
"params": {
"siteId": "<siteId>"
}
}Details, permissions and error codes
Get digit map profile list.
The interface requires one of the permissions:
Site Settings Manager View Only
Device Config Page View Only
createDigitMapProfile
POST /openapi/v1/{omadacId}/sites/{siteId}/setting/voip/digit-map
Create new digit map profile
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
Request body — application/json (required) — schema CreateDigitMapProfileEntity
| Field | Type | Required | Description |
|---|---|---|---|
profileName | string | yes | Digit map profile name |
digitMap | string | yes | Digit map |
// omada_call_operation
{
"operationId": "createDigitMapProfile",
"params": {
"siteId": "<siteId>"
},
"body": "{...}"
}Details, permissions and error codes
Create new digit map profile.
The interface requires one of the permissions:
Site Settings Manager Modify
Device Config Page Modify
modifyDigitMapProfile
PATCH /openapi/v1/{omadacId}/sites/{siteId}/setting/voip/digit-map/{profileId}
Modify a digit map profile
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
profileId | path | string | yes | Profile ID. Default digit map profile cannot be modified. |
Request body — application/json (required) — schema ModifyDigitMapProfileEntity
| Field | Type | Required | Description |
|---|---|---|---|
profileName | string | no | Digit map profile name |
digitMap | string | no | Digit map |
// omada_call_operation
{
"operationId": "modifyDigitMapProfile",
"params": {
"siteId": "<siteId>",
"profileId": "<profileId>"
},
"body": "{...}"
}Details, permissions and error codes
Modify a digit map profile.
The interface requires one of the permissions:
Site Settings Manager Modify
Device Config Page Modify
deleteDigitMapProfile
POST /openapi/v1/{omadacId}/sites/{siteId}/setting/voip/digit-map/delete
Delete digit map profile
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
Request body — application/json (required) — schema DeleteDigitMapProfileEntity
| Field | Type | Required | Description |
|---|---|---|---|
profileId | string | yes | Profile ID. Default digit map profile cannot be deleted. |
skipConfirm | boolean | yes | skipConfirm indicates whether to skip the query of the devices bound to digit map profile. false: Not to skip the query. true: Skip the query and delete the digit map profile corresponding to the profileId. |
// omada_call_operation
{
"operationId": "deleteDigitMapProfile",
"params": {
"siteId": "<siteId>"
},
"body": "{...}"
}Details, permissions and error codes
Delete digit map profile.
The interface requires one of the permissions:
Site Settings Manager Modify
Device Config Page Modify
getDndSettings_1
GET /openapi/v1/{omadacId}/sites/{siteId}/setting/voip/dnd/settings
Get DND settings
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
// omada_call_operation
{
"operationId": "getDndSettings_1",
"params": {
"siteId": "<siteId>"
}
}Details, permissions and error codes
Get DND settings
The interface requires one of the permissions:
Site Settings Manager View Only
Device Config Page View Only
modifyDndSettings_1
PATCH /openapi/v1/{omadacId}/sites/{siteId}/setting/voip/dnd/settings
Modify DND settings
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
Request body — application/json (required) — schema DndSettingEntity
| Field | Type | Required | Description |
|---|---|---|---|
omadacId | string | no | Omadac ID |
siteId | string | no | Site ID |
enable | boolean | yes | Enable DND or not |
dayMode | integer | no | The days you want to block the incoming calls. 1-daily,2-weekend,3-weekday |
timeBegin | integer | no | The start time of the DND period you want to block incoming calls. It should be an integer value between 0 and 1438. |
timeEnd | integer | no | The end time of the DND period you want to block incoming calls. It should be an integer value between 1 and 1439. |
// omada_call_operation
{
"operationId": "modifyDndSettings_1",
"params": {
"siteId": "<siteId>"
},
"body": "{...}"
}Details, permissions and error codes
Modify DND settings
The interface requires one of the permissions:
Site Settings Manager Modify
Device Config Page Modify
getGridProviderProfileList_1
GET /openapi/v1/{omadacId}/sites/{siteId}/setting/voip/grid/provider-profiles
Get the grid of provider profile list
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
page | query | integer | no | Start page number. Start from 1. (default 1) |
pageSize | query | integer | no | Number of entries per page. It should be within the range of 1–1000. (default 100) |
// omada_call_operation
{
"operationId": "getGridProviderProfileList_1",
"params": {
"siteId": "<siteId>"
}
}Details, permissions and error codes
Get the grid of provider profile list.
The interface requires one of the permissions:
Site Settings Manager View Only
Device Config Page View Only
createProviderProfile_1
POST /openapi/v1/{omadacId}/sites/{siteId}/setting/voip/provider-profiles
Create new provider profile
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
Request body — application/json (required) — schema CreateProviderProfileEntity
| Field | Type | Required | Description |
|---|---|---|---|
profileName | string | yes | Provider profile name |
providerSettings | ProviderSettingVO | yes | (ProviderSettingVO not expanded; call omada_get_schema "ProviderSettingVO") |
// omada_call_operation
{
"operationId": "createProviderProfile_1",
"params": {
"siteId": "<siteId>"
},
"body": "{...}"
}Details, permissions and error codes
Create new provider profile.
The interface requires one of the permissions:
Site Settings Manager Modify
Device Config Page Modify
modifyProviderProfile_1
PATCH /openapi/v1/{omadacId}/sites/{siteId}/setting/voip/provider-profiles/{profileId}
Modify a provider profile
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
profileId | path | string | yes | Profile ID |
Request body — application/json (required) — schema ModifyProviderProfileEntity
| Field | Type | Required | Description |
|---|---|---|---|
profileName | string | no | Provider profile name |
providerSettings | ModifyProviderSettingOpenApiVO | no | (ModifyProviderSettingOpenApiVO not expanded; call omada_get_schema "ModifyProviderSettingOpenApiVO") |
// omada_call_operation
{
"operationId": "modifyProviderProfile_1",
"params": {
"siteId": "<siteId>",
"profileId": "<profileId>"
},
"body": "{...}"
}Details, permissions and error codes
Modify a provider profile.
The interface requires one of the permissions:
Site Settings Manager Modify
Device Config Page Modify
deleteProviderProfiles
POST /openapi/v1/{omadacId}/sites/{siteId}/setting/voip/provider-profiles/delete
Delete provider profile(s)
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
Request body — application/json (required) — schema ConfirmBindedDevicesEntity
| Field | Type | Required | Description |
|---|---|---|---|
profileIds | array<string> | yes | Provider profile IDs |
skipConfirm | boolean | yes | skipConfirm indicates whether to skip the query of the devices bound to provider profiles. false: Not to skip the query. true: Skip the query and delete the provider profiles corresponding to the profileIds. |
// omada_call_operation
{
"operationId": "deleteProviderProfiles",
"params": {
"siteId": "<siteId>"
},
"body": "{...}"
}Details, permissions and error codes
Delete provider profile(s).
The interface requires one of the permissions:
Site Settings Manager Modify
Device Config Page Modify
downloadVoiceMail
GET /openapi/v1/{omadacId}/sites/{siteId}/setting/voip/voice-mail/{voiceId}/download
Get voice mail
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
voiceId | path | string | yes | Voice ID |
// omada_call_operation
{
"operationId": "downloadVoiceMail",
"params": {
"siteId": "<siteId>",
"voiceId": "<voiceId>"
}
}Details, permissions and error codes
Get voice mail
The interface requires one of the permissions:
Site Settings Manager View Only
Device Config Page View Only
deleteTelephoneNumber_1
DELETE /openapi/v1/{omadacId}/sites/{siteId}/setting/voip/voice-mail/all
Delete all voice mail
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
// omada_call_operation
{
"operationId": "deleteTelephoneNumber_1",
"params": {
"siteId": "<siteId>"
}
}Details, permissions and error codes
Delete all voice mail
The interface requires one of the permissions:
Site Settings Manager Modify
Device Config Page Modify
deleteVoipMail
DELETE /openapi/v1/{omadacId}/sites/{siteId}/setting/voip/voice-mail/batch-delete
Batch delete voice mail
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
Request body — application/json (required) — schema VoiceMailBatchDelete
| Field | Type | Required | Description |
|---|---|---|---|
voiceMailList | array<string> | yes | Voice mail list. |
// omada_call_operation
{
"operationId": "deleteVoipMail",
"params": {
"siteId": "<siteId>"
},
"body": "{...}"
}Details, permissions and error codes
Batch delete voice mail
The interface requires one of the permissions:
Site Settings Manager Modify
Device Config Page Modify
getVoipMailGrid
GET /openapi/v1/{omadacId}/sites/{siteId}/setting/voip/voice-mail/grid
Get voice mail list
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
page | query | integer | no | Start page number. Start from 1. (default 1) |
pageSize | query | integer | no | Number of entries per page. It should be within the range of 1–1000. (default 100) |
// omada_call_operation
{
"operationId": "getVoipMailGrid",
"params": {
"siteId": "<siteId>"
}
}Details, permissions and error codes
Get voice mail list
The interface requires one of the permissions:
Site Settings Manager View Only
Device Config Page View Only
getVoipMailSettings
GET /openapi/v1/{omadacId}/sites/{siteId}/setting/voip/voice-mail/settings
Get voice mail settings
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
// omada_call_operation
{
"operationId": "getVoipMailSettings",
"params": {
"siteId": "<siteId>"
}
}Details, permissions and error codes
Get voice mail settings
The interface requires one of the permissions:
Site Settings Manager View Only
Device Config Page View Only
setVoipMailSettings
PATCH /openapi/v1/{omadacId}/sites/{siteId}/setting/voip/voice-mail/settings
Edit voice mail settings
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
Request body — application/json (required) — schema VoiceMailSettingRequest
| Field | Type | Required | Description |
|---|---|---|---|
omadacId | string | no | Omadac ID. |
siteId | string | no | Site ID. |
noAnswerTime | integer | no | The no answer time of telephone number. Parameter [noAnswerTime] should be from 5 to 60 |
remoteAccessPin | string | no | Remote access pin. |
voiceMailInUsb | boolean | no | Whether voice mail is in USB. |
greetingForVoiceMailMode | integer | no | Parameter [greetingForVoiceMailMode] should be 0 or 1. 0: Default, 1: Custom. |
greetingName | string | no | Greeting name. |
usbUuid | string | no | USB UUID. |
voiceMailCapacity | integer | no | The capacity of voice mail. |
enable | boolean | yes | Whether to enable voice mail settings. |
remoteAccessEnable | boolean | no | Whether voice mail allows remote access. |
duration | integer | no | Parameter [duration] should be from 20 to 120. |
// omada_call_operation
{
"operationId": "setVoipMailSettings",
"params": {
"siteId": "<siteId>"
},
"body": "{...}"
}Details, permissions and error codes
Edit voice mail settings
The interface requires one of the permissions:
Site Settings Manager Modify
Device Config Page Modify
getUsbInfo
GET /openapi/v1/{omadacId}/sites/{siteId}/setting/voip/voice-mail/settings/usbInfo
Get USB info
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
// omada_call_operation
{
"operationId": "getUsbInfo",
"params": {
"siteId": "<siteId>"
}
}Details, permissions and error codes
Get USB info
The interface requires one of the permissions:
Site Settings Manager View Only
Device Config Page View Only
getVoipDeviceList
GET /openapi/v1/{omadacId}/sites/{siteId}/setting/voip/voip-devices
Get Voip Device List
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
page | query | integer | no | Start page number. Start from 1. (default 1) |
pageSize | query | integer | no | Number of entries per page. It should be within the range of 1–1000. (default 100) |
// omada_call_operation
{
"operationId": "getVoipDeviceList",
"params": {
"siteId": "<siteId>"
}
}Details, permissions and error codes
Get Voip Device List.
The interface requires one of the permissions:
Site Settings Manager View Only
Device Config Page View Only
modifyVoipDeviceSetting
PATCH /openapi/v1/{omadacId}/sites/{siteId}/setting/voip/voip-devices/{deviceMac}
Modify Voip Device AP Setting
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
deviceMac | path | string | yes | Device MAC address, like AA-BB-CC-DD-EE-FF |
Request body — application/json (required) — schema ModifyVoipDeviceApSettingEntity
| Field | Type | Required | Description |
|---|---|---|---|
voipDeviceApConfiguration | VoipDeviceApConfigurationOpenApiVO | no | (VoipDeviceApConfigurationOpenApiVO not expanded; call omada_get_schema "VoipDeviceApConfigurationOpenApiVO") |
telephoneNumberAdvancedSetting | TelephoneNumberAdvancedSettingApOpenApiVO | no | (TelephoneNumberAdvancedSettingApOpenApiVO not expanded; call omada_get_schema "TelephoneNumberAdvancedSettingApOpenApiVO") |
skipConfirm | boolean | yes | skipConfirm indicates whether to skip the query of "#'s conflict" of voip device settings. false: Not to skip the query. true: Skip the query and the device will give priority to the "end with #" configuration. |
// omada_call_operation
{
"operationId": "modifyVoipDeviceSetting",
"params": {
"siteId": "<siteId>",
"deviceMac": "<deviceMac>"
},
"body": "{...}"
}Details, permissions and error codes
Modify Voip Device AP Setting.
The interface requires one of the permissions:
Site Settings Manager Modify
Device Config Page Modify
bindTelephoneNumber
POST /openapi/v1/{omadacId}/sites/{siteId}/setting/voip/voip-devices/{deviceMac}/bind-telephone-number
Bind Telephone Number
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
deviceMac | path | string | yes | Device MAC address, like AA-BB-CC-DD-EE-FF |
Request body — application/json (required) — schema BindNumberList
| Field | Type | Required | Description |
|---|---|---|---|
bindNumberList | array<TelephoneNumberWithoutStatusOpenApiVO> | yes | The list of telephone number without status. |
// omada_call_operation
{
"operationId": "bindTelephoneNumber",
"params": {
"siteId": "<siteId>",
"deviceMac": "<deviceMac>"
},
"body": "{...}"
}Details, permissions and error codes
Bind Telephone Number.
The interface requires one of the permissions:
Site Settings Manager Modify
Device Config Page Modify
getTelephoneNumberRegistrationResults
GET /openapi/v1/{omadacId}/sites/{siteId}/setting/voip/voip-devices/{deviceMac}/registration-result
Get Telephone Number Registration Results
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
deviceMac | path | string | yes | Device MAC address, like AA-BB-CC-DD-EE-FF |
// omada_call_operation
{
"operationId": "getTelephoneNumberRegistrationResults",
"params": {
"siteId": "<siteId>",
"deviceMac": "<deviceMac>"
}
}Details, permissions and error codes
Get Telephone Number Registration Results.
The interface requires one of the permissions:
Site Settings Manager View Only
Device Config Page View Only
deleteTelephoneNumber
POST /openapi/v1/{omadacId}/sites/{siteId}/setting/voip/voip-devices/{deviceMac}/telephone-number/{phoneNumberId}
Delete Telephone Number
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
deviceMac | path | string | yes | Device MAC address, like AA-BB-CC-DD-EE-FF |
phoneNumberId | path | string | yes | phone Number ID |
Request body — application/json (required) — schema DeleteTelephoneNumber
| Field | Type | Required | Description |
|---|---|---|---|
forceDelete | boolean | yes | Other configurations depending on this number (call forwarding rules for instance) will be deleted together if this field is true. Otherwise, a pre-check will be executed and an error message will be returned when this number is already used in some other configurations. |
// omada_call_operation
{
"operationId": "deleteTelephoneNumber",
"params": {
"siteId": "<siteId>",
"deviceMac": "<deviceMac>",
"phoneNumberId": "<phoneNumberId>"
},
"body": "{...}"
}Details, permissions and error codes
Delete Telephone Number.
The interface requires one of the permissions:
Site Settings Manager Modify
Device Config Page Modify
batchModifyVoipDeviceSetting
PATCH /openapi/v1/{omadacId}/sites/{siteId}/setting/voip/voip-devices/batch-modify
Batch Modify Voip Device Setting
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
Request body — application/json (required) — schema BatchModifyVoipDeviceSettingEntity
| Field | Type | Required | Description |
|---|---|---|---|
deviceMacList | array<string> | yes | Device MAC list. |
voipDeviceConfiguration | BatchModifyVoipDeviceConfigurationEntity | no | (BatchModifyVoipDeviceConfigurationEntity not expanded; call omada_get_schema "BatchModifyVoipDeviceConfigurationEntity") |
telephoneNumberAdvancedSetting | TelephoneNumberAdvancedSettingApOpenApiVO | no | (TelephoneNumberAdvancedSettingApOpenApiVO not expanded; call omada_get_schema "TelephoneNumberAdvancedSettingApOpenApiVO") |
skipConfirm | boolean | yes | skipConfirm indicates whether to skip the query of "#'s conflict" of voip device settings. false: Not to skip the query. true: Skip the query and the device(s) will give priority to the "end with #" configuration. |
// omada_call_operation
{
"operationId": "batchModifyVoipDeviceSetting",
"params": {
"siteId": "<siteId>"
},
"body": "{...}"
}Details, permissions and error codes
Batch modify VoIP device setting.
The interface requires one of the permissions:
Site Settings Manager Modify
Device Config Page Modify
getAllCallBlockingProfiles
GET /openapi/v1/{omadacId}/sites/{siteId}/setting/voip/voip-devices/call-blocking
Get All Call Blocking Profiles
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
// omada_call_operation
{
"operationId": "getAllCallBlockingProfiles",
"params": {
"siteId": "<siteId>"
}
}Details, permissions and error codes
Get All Call Blocking Profiles.
The interface requires one of the permissions:
Site Settings Manager View Only
Device Config Page View Only
getAllDigitMapProfiles
GET /openapi/v1/{omadacId}/sites/{siteId}/setting/voip/voip-devices/digit-map
Get All Digit Map Profiles
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
// omada_call_operation
{
"operationId": "getAllDigitMapProfiles",
"params": {
"siteId": "<siteId>"
}
}Details, permissions and error codes
Get All Digit Map Profiles.
The interface requires one of the permissions:
Site Settings Manager View Only
Device Config Page View Only
getGridTelephoneNumberRegistrationResults
GET /openapi/v1/{omadacId}/sites/{siteId}/setting/voip/voip-devices/grid/telephone-number
Get Grid of Telephone Number Registration Results
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
page | query | integer | no | Start page number. Start from 1. (default 1) |
pageSize | query | integer | no | Number of entries per page. It should be within the range of 1–1000. (default 100) |
// omada_call_operation
{
"operationId": "getGridTelephoneNumberRegistrationResults",
"params": {
"siteId": "<siteId>"
}
}Details, permissions and error codes
Get Grid of Telephone Number Registration Results.
The interface requires one of the permissions:
Site Settings Manager View Only
Device Config Page View Only
Site Device Manager View Only
modifyVoipDeviceOsgSetting
PATCH /openapi/v1/{omadacId}/sites/{siteId}/setting/voip/voip-devices/osg/{deviceMac}
Modify Voip Device OSG Setting
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
deviceMac | path | string | yes | Device MAC address, like AA-BB-CC-DD-EE-FF |
Request body — application/json (required) — schema ModifyVoipDeviceOsgSettingEntity
| Field | Type | Required | Description |
|---|---|---|---|
voipDeviceOsgConfiguration | VoipDeviceOsgConfigurationOpenApiVO | no | (VoipDeviceOsgConfigurationOpenApiVO not expanded; call omada_get_schema "VoipDeviceOsgConfigurationOpenApiVO") |
telephoneNumberAdvancedSetting | TelephoneNumberAdvancedSettingOsgOpenApiVO | no | (TelephoneNumberAdvancedSettingOsgOpenApiVO not expanded; call omada_get_schema "TelephoneNumberAdvancedSettingOsgOpenApiVO") |
skipConfirm | boolean | yes | skipConfirm indicates whether to skip the query of "#'s conflict" of voip device settings. false: Not to skip the query. true: Skip the query and the device will give priority to the "end with #" configuration. |
// omada_call_operation
{
"operationId": "modifyVoipDeviceOsgSetting",
"params": {
"siteId": "<siteId>",
"deviceMac": "<deviceMac>"
},
"body": "{...}"
}Details, permissions and error codes
Modify Voip Device OSG Setting.
The interface requires one of the permissions:
Site Settings Manager Modify
Device Config Page Modify
getGridSimplifiedVoipDevices
GET /openapi/v1/{omadacId}/sites/{siteId}/setting/voip/voip-devices/simplied-list
Get Grid of Simplified VoIP Devices
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
page | query | integer | no | Start page number. Start from 1. (default 1) |
pageSize | query | integer | no | Number of entries per page. It should be within the range of 1–1000. (default 100) |
// omada_call_operation
{
"operationId": "getGridSimplifiedVoipDevices",
"params": {
"siteId": "<siteId>"
}
}Details, permissions and error codes
Get Grid of Simplified VoIP Devices.
The interface requires one of the permissions:
Site Settings Manager View Only
Device Config Page View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-1001 - Invalid request parameters.
-33004 - Operation failed because other operations (site copying, restoring, template synchronizing, etc.) are being performed on this site. Please wait and try again later.
getTelephoneNumberBatchConfigList
GET /openapi/v1/{omadacId}/sites/{siteId}/setting/voip/voip-devices/telephone-number/batch-config-list
Get Telephone Number Config List
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
page | query | integer | no | Start page number. Start from 1. (default 1) |
pageSize | query | integer | no | Number of entries per page. It should be within the range of 1–1000. (default 100) |
// omada_call_operation
{
"operationId": "getTelephoneNumberBatchConfigList",
"params": {
"siteId": "<siteId>"
}
}Details, permissions and error codes
Get Telephone Number Config List.
The interface requires one of the permissions:
Site Settings Manager View Only
Device Config Page View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-1001 - Invalid request parameters.
-33004 - Operation failed because other operations (site copying, restoring, template synchronizing, etc.) are being performed on this site. Please wait and try again later.
updateTelephoneNumberList
PATCH /openapi/v1/{omadacId}/sites/{siteId}/setting/voip/voip-devices/telephone-number/batch-config-list
Update Telephone Number List
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
Request body — application/json (required) — schema TelephoneNumberListUpdateOpenApiVO
| Field | Type | Required | Description |
|---|---|---|---|
addTelephoneNumbers | array<TelephoneNumberWithoutStatusOpenApiVO> | no | Telephone numbers to be added. |
deleteTelephoneNumberIds | array<string> | no | Telephone number IDs to be deleted. |
modifyTelephoneNumbers | array<TelephoneNumberWithoutStatusOpenApiVO> | no | Telephone numbers to be modified. |
// omada_call_operation
{
"operationId": "updateTelephoneNumberList",
"params": {
"siteId": "<siteId>"
},
"body": "{...}"
}Details, permissions and error codes
Update Telephone Number List.
The interface requires one of the permissions:
Site Settings Manager Modify
Device Config Page Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-1001 - Invalid request parameters.
-33004 - Operation failed because other operations (site copying, restoring, template synchronizing, etc.) are being performed on this site. Please wait and try again later.
-35631 - Modification succeeded. Duplicate numbers for the same device has been removed.
exportTelephoneNumberListToFile
GET /openapi/v1/{omadacId}/sites/{siteId}/setting/voip/voip-devices/telephone-number/export
Export telephone number list to file
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
// omada_call_operation
{
"operationId": "exportTelephoneNumberListToFile",
"params": {
"siteId": "<siteId>"
}
}Details, permissions and error codes
Export existed telephone number list to file.
The interface requires one of the permissions:
Site Settings Manager View Only
Device Config Page View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-1005 - Operation forbidden.
-33004 - Operation failed because other operations (site copying, restoring, template synchronizing, etc.) are being performed on this site. Please wait and try again later.
importTelephoneNumberListFromFile
POST /openapi/v1/{omadacId}/sites/{siteId}/setting/voip/voip-devices/telephone-number/import
Import telephone number list from file
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
Request body — application/json (optional)
| Field | Type | Required | Description |
|---|---|---|---|
file | string (binary) | yes |
// omada_call_operation
{
"operationId": "importTelephoneNumberListFromFile",
"params": {
"siteId": "<siteId>"
},
"body": "{...}"
}Details, permissions and error codes
Import telephone number list from existed file.
The interface requires one of the permissions:
Site Settings Manager Modify
Device Config Page Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-33004 - Operation failed because other operations (site copying, restoring, template synchronizing, etc.) are being performed on this site. Please wait and try again later.
-33712 - This file is empty.
-33713 - Failed to process the files.
-34528 - Invalid user file format due to number of delimiters. Please check the file and import again.
-34533 - The uploaded file contains wrong-format content. Please download the error messages, modify your file as required and re-upload it.
-34544 - The format of the import file must be csv.
-35630 - Import succeeded. Some existing phone number configurations have been updated to the configurations in the CSV file.
downloadTelephoneNumberImportResult
GET /openapi/v1/{omadacId}/sites/{siteId}/setting/voip/voip-devices/telephone-number/import-result
Download telephone number list import result
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
// omada_call_operation
{
"operationId": "downloadTelephoneNumberImportResult",
"params": {
"siteId": "<siteId>"
}
}Details, permissions and error codes
Download telephone number list import result. When the API [Import telephone number list from file] returns error code 0, it means that the configuration in the CSV file is correct and there is no need to call the API.
The interface requires one of the permissions:
Site Settings Manager Modify
Device Config Page Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-33004 - Operation failed because other operations (site copying, restoring, template synchronizing, etc.) are being performed on this site. Please wait and try again later.
-35635 - The error message file has expired and cannot be downloaded, or there is no error message.
getVoipCallLog
GET /openapi/v1/{omadacId}/sites/{siteId}/voip/call-log
Get Voip CallLog Data List
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
page | query | integer | no | Start page number. Start from 1. (default 1) |
pageSize | query | integer | no | Number of entries per page. It should be within the range of 1–1000. (default 100) |
sorts.dateTime | query | string | no | Sort parameter may be one of asc or desc. Optional parameter. If it is not carried, it means it is not sorted by this field. When there are more than one, the first one takes effect |
filters.status | query | string | no | Filter query parameters, support field status: 0: incoming, 1: outgoing, 3: transfer, 4: miss,5: rejected |
searchKey | query | string | no | Fuzzy query parameters, support field deviceNumber/telephonyDevice |
// omada_call_operation
{
"operationId": "getVoipCallLog",
"params": {
"siteId": "<siteId>"
}
}Details, permissions and error codes
Get Voip CallLog Data List.
The interface requires one of the permissions:
Site Settings Manager View Only
Device Config Page View Only
getVoipCallLogEnable_1
GET /openapi/v1/{omadacId}/sites/{siteId}/voip/call-log-enable
Get Voip CallLog Setting
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
// omada_call_operation
{
"operationId": "getVoipCallLogEnable_1",
"params": {
"siteId": "<siteId>"
}
}Details, permissions and error codes
Get Voip CallLog Setting.
The interface requires one of the permissions:
Site Settings Manager View Only
Device Config Page View Only
modifyVoipCallLogEnable_1
POST /openapi/v1/{omadacId}/sites/{siteId}/voip/call-log-enable
Modify Voip CallLog Setting
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
Request body — application/json (required) — schema VoipCallLogEnableSetting
| Field | Type | Required | Description |
|---|---|---|---|
callLogEnable | boolean | yes | Whether to enable the call log. |
// omada_call_operation
{
"operationId": "modifyVoipCallLogEnable_1",
"params": {
"siteId": "<siteId>"
},
"body": "{...}"
}Details, permissions and error codes
Modify Voip CallLog Setting.
The interface requires one of the permissions:
Site Settings Manager Modify
Device Config Page Modify
clearVoipCallLog
DELETE /openapi/v1/{omadacId}/sites/{siteId}/voip/call-log/delete-all
Delete Voip CallLog Data List
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
// omada_call_operation
{
"operationId": "clearVoipCallLog",
"params": {
"siteId": "<siteId>"
}
}Details, permissions and error codes
Delete Voip CallLog Data List.
The interface requires one of the permissions:
Site Settings Manager Modify
Device Config Page Modify
getVoipEmergency_1
GET /openapi/v1/{omadacId}/sites/{siteId}/voip/emergency-number-settings
Get Voip Emergency Number Info
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
// omada_call_operation
{
"operationId": "getVoipEmergency_1",
"params": {
"siteId": "<siteId>"
}
}Details, permissions and error codes
Get Voip Emergency Number Info.
The interface requires one of the permissions:
Site Settings Manager View Only
Device Config Page View Only
modifyVoipEmergency_1
PATCH /openapi/v1/{omadacId}/sites/{siteId}/voip/emergency-number-settings
Modify Voip Emergency Number Setting
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
Request body — application/json (required) — schema VoipEmergencyNumberSetting
| Field | Type | Required | Description |
|---|---|---|---|
emergencyNumberEnable | boolean | yes | Whether to enable the emergency number. |
noOperationTime | integer | no | No operation time should be within the range of 2-8s. |
emergencyNumbers | array<string> | no | Emergency number list. |
// omada_call_operation
{
"operationId": "modifyVoipEmergency_1",
"params": {
"siteId": "<siteId>"
},
"body": "{...}"
}Details, permissions and error codes
Modify Voip Emergency Number Setting.
The interface requires one of the permissions:
Site Settings Manager Modify
Device Config Page Modify
getVoipTelephoneBook
GET /openapi/v1/{omadacId}/sites/{siteId}/voip/telephone-book
Get Voip TelephoneBook List
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
page | query | integer | no | Start page number. Start from 1. (default 1) |
pageSize | query | integer | no | Number of entries per page. It should be within the range of 1–1000. (default 100) |
// omada_call_operation
{
"operationId": "getVoipTelephoneBook",
"params": {
"siteId": "<siteId>"
}
}Details, permissions and error codes
Get Voip TelephoneBook List.
The interface requires one of the permissions:
Site Settings Manager View Only
Device Config Page View Only
createVoipTelephoneBook
POST /openapi/v1/{omadacId}/sites/{siteId}/voip/telephone-book
Create New Contact Person
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
Request body — application/json (required) — schema VoipContactPersonSettings
| Field | Type | Required | Description |
|---|---|---|---|
firstName | string | no | The firstName of contact person. It should contain 0 to 64 characters. |
lastName | string | no | The lastName of contact person. It should contain 0 to 64 characters. |
privatePhoneNumber | string | no | The privatePhoneNumber of contact person. |
workPhoneNumber | string | no | The workPhoneNumber of contact person. |
mobilePhoneNumber | string | no | The mobilePhoneNumber of contact person. |
speedDialEnable | boolean | no | Whether to enable the speedDial. |
speedDialNumberType | integer | no | speedDialNumberType should be a value as follows: 0: Private Phone Number; 1: Work Phone Number; 2: Mobile Phone Number. |
speedDialNumber | string | no | The speedDialNumber of contact person. |
// omada_call_operation
{
"operationId": "createVoipTelephoneBook",
"params": {
"siteId": "<siteId>"
},
"body": "{...}"
}Details, permissions and error codes
Create New Contact Person.
The interface requires one of the permissions:
Site Settings Manager Modify
Device Config Page Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-35615 - The number of Telephone book has reached the limit.
-35616 - The contact person's number combination already exists.
deleteVoipTelephoneBook
DELETE /openapi/v1/{omadacId}/sites/{siteId}/voip/telephone-book/{contactId}
Delete Contact Person
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
contactId | path | string | yes | Voip Contact Person ID |
Request body — application/json (required) — schema VoipDeleteTelephoneBook
| Field | Type | Required | Description |
|---|---|---|---|
forceDelete | boolean | yes | Other configurations depending on this contact (call forwarding rules for instance) will be deleted together if this field is true. Otherwise, a pre-check will be executed and an error message will be returned when this contact is already used in some other configurations. |
// omada_call_operation
{
"operationId": "deleteVoipTelephoneBook",
"params": {
"siteId": "<siteId>",
"contactId": "<contactId>"
},
"body": "{...}"
}Details, permissions and error codes
Delete Contact Person.
The interface requires one of the permissions:
Site Settings Manager Modify
Device Config Page Modify
modifyVoipTelephoneBook
PATCH /openapi/v1/{omadacId}/sites/{siteId}/voip/telephone-book/{contactId}
Modify Contact Person
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
contactId | path | string | yes | Voip Contact Person ID |
Request body — application/json (required) — schema VoipContactPersonSettings
| Field | Type | Required | Description |
|---|---|---|---|
firstName | string | no | The firstName of contact person. It should contain 0 to 64 characters. |
lastName | string | no | The lastName of contact person. It should contain 0 to 64 characters. |
privatePhoneNumber | string | no | The privatePhoneNumber of contact person. |
workPhoneNumber | string | no | The workPhoneNumber of contact person. |
mobilePhoneNumber | string | no | The mobilePhoneNumber of contact person. |
speedDialEnable | boolean | no | Whether to enable the speedDial. |
speedDialNumberType | integer | no | speedDialNumberType should be a value as follows: 0: Private Phone Number; 1: Work Phone Number; 2: Mobile Phone Number. |
speedDialNumber | string | no | The speedDialNumber of contact person. |
// omada_call_operation
{
"operationId": "modifyVoipTelephoneBook",
"params": {
"siteId": "<siteId>",
"contactId": "<contactId>"
},
"body": "{...}"
}Details, permissions and error codes
Modify Contact Person.
The interface requires one of the permissions:
Site Settings Manager Modify
Device Config Page Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-35615 - The number of Telephone book has reached the limit.
-35616 - The contact person's number combination already exists.
batchDeleteVoipTelephoneBook
POST /openapi/v1/{omadacId}/sites/{siteId}/voip/telephone-book/batch-delete
Batch Delete Contact Person
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
Request body — application/json (required) — schema VoipTelephoneBookBatchSetting
| Field | Type | Required | Description |
|---|---|---|---|
contactIds | array<string> | yes | Delete the contact ID of contact person. |
selectType | string | yes | SpeedDialNumberType should be a value as follows: all, include, exclude. |
forceDelete | boolean | yes | Other configurations depending on selected contacts (call forwarding rules for instance) will be deleted together if this field is true. Otherwise, a pre-check will be executed and an error message will be returned when this contact is already used in some other configurations. |
// omada_call_operation
{
"operationId": "batchDeleteVoipTelephoneBook",
"params": {
"siteId": "<siteId>"
},
"body": "{...}"
}Details, permissions and error codes
Batch Delete Contact Person.
The interface requires one of the permissions:
Site Settings Manager Modify
Device Config Page Modify
getDigitMapProfilesTemplate
GET /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/setting/voip/digit-map
Get digit map profile list template
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteTemplateId | path | string | yes | Site ID |
// omada_call_operation
{
"operationId": "getDigitMapProfilesTemplate",
"params": {
"siteTemplateId": "<siteTemplateId>"
}
}Details, permissions and error codes
Get digit map profile list template.
The interface requires one of the permissions:
Site Settings Manager View Only
Device Config Page View Only
createDigitMapProfileTemplate
POST /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/setting/voip/digit-map
Create new digit map profile template
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteTemplateId | path | string | yes | Site ID |
Request body — application/json (required) — schema CreateDigitMapProfileEntity
| Field | Type | Required | Description |
|---|---|---|---|
profileName | string | yes | Digit map profile name |
digitMap | string | yes | Digit map |
// omada_call_operation
{
"operationId": "createDigitMapProfileTemplate",
"params": {
"siteTemplateId": "<siteTemplateId>"
},
"body": "{...}"
}Details, permissions and error codes
Create new digit map profile template.
The interface requires one of the permissions:
Site Settings Manager Modify
Device Config Page Modify
modifyDigitMapProfileTemplate
PATCH /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/setting/voip/digit-map/{profileId}
Modify a digit map profile template
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteTemplateId | path | string | yes | Site ID |
profileId | path | string | yes | Profile ID. Default digit map profile cannot be modified. |
Request body — application/json (required) — schema ModifyDigitMapProfileEntity
| Field | Type | Required | Description |
|---|---|---|---|
profileName | string | no | Digit map profile name |
digitMap | string | no | Digit map |
// omada_call_operation
{
"operationId": "modifyDigitMapProfileTemplate",
"params": {
"siteTemplateId": "<siteTemplateId>",
"profileId": "<profileId>"
},
"body": "{...}"
}Details, permissions and error codes
Modify a digit map profile template.
The interface requires one of the permissions:
Site Settings Manager Modify
Device Config Page Modify
deleteDigitMapProfileTemplate
POST /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/setting/voip/digit-map/delete
Delete digit map profile template
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteTemplateId | path | string | yes | Site ID |
Request body — application/json (required) — schema DeleteDigitMapProfileEntity
| Field | Type | Required | Description |
|---|---|---|---|
profileId | string | yes | Profile ID. Default digit map profile cannot be deleted. |
skipConfirm | boolean | yes | skipConfirm indicates whether to skip the query of the devices bound to digit map profile. false: Not to skip the query. true: Skip the query and delete the digit map profile corresponding to the profileId. |
// omada_call_operation
{
"operationId": "deleteDigitMapProfileTemplate",
"params": {
"siteTemplateId": "<siteTemplateId>"
},
"body": "{...}"
}Details, permissions and error codes
Delete digit map profile template.
The interface requires one of the permissions:
Site Settings Manager Modify
Device Config Page Modify